#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Libs for messages
Name:           messagelib
Epoch:          2
Version: 24.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6WebEngineWidgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6TextTemplate)

BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6GrantleeTheme)
BuildRequires:  cmake(KPim6Gravatar) >= 5.240
BuildRequires:  cmake(KPim6IdentityManagementWidgets)
BuildRequires:  cmake(KPim6Libkleo)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6Mbox)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6PimCommonAkonadi) >= 5.240
BuildRequires:  cmake(KPim6TextEdit)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KF6TextEditTextToSpeech)

BuildRequires:  cmake(KF6TextAutoCorrectionWidgets)
BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KF6TextAddonsWidgets)
BuildRequires:  cmake(KPim6AkonadiSearch)

# Support for the GIT revision number in messagecomposer-version.h
BuildRequires:  git
BuildRequires:  cmake(Gpgmepp)
BuildRequires:  cmake(QGpgmeQt6)
BuildRequires:  cmake(Qca-qt6)

Requires:       ktexttemplate
Requires:       qca-qt6

%description
Libs for messages.

%files -f %name.lang
%_kf6_datadir/messageviewer
%_kf6_datadir/libmessageviewer
%_kf6_datadir/org.kde.syntax-highlighting/syntax/kmail-template.xml
%_kf6_categoriesdir/messagelib.categories
%_kf6_categoriesdir/messagelib.renamecategories
%_kf6_datadir/knsrcfiles/messageviewer_header_themes.knsrc
%_kf6_datadir/config.kcfg/customtemplates_kfg.kcfg
%_kf6_datadir/config.kcfg/templatesconfiguration_kfg.kcfg
%_kf6_knotificationsdir/messageviewer.notifyrc
%_kf6_datadir/messagelist
%_qt6_plugindir/pim6/messageviewer/kf6/ktexttemplate/messageviewer_ktexttemplate_extension.so
%_qt6_plugindir/pim6/messageviewer/headerstyle/messageviewer_defaultgrantleeheaderstyleplugin.so

#--------------------------------------------------------------------

%define kpimmessagecomposer_major 6
%define libkpimmessagecomposer %mklibname kpim6messagecomposer %{kpimmessagecomposer_major}

%package -n %libkpimmessagecomposer
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmessagecomposer
Libs for messages.

%files -n %libkpimmessagecomposer
%_kf6_libdir/libKPim6MessageComposer.so.%{kpimmessagecomposer_major}{,.*}

#--------------------------------------------------------------------

%define kpimmessagecore_major 6
%define libkpimmessagecore %mklibname kpim6messagecore %{kpimmessagecore_major}

%package -n %libkpimmessagecore
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmessagecore
Libs for messages.

%files -n %libkpimmessagecore
%_kf6_libdir/libKPim6MessageCore.so.%{kpimmessagecore_major}{,.*}

#--------------------------------------------------------------------

%define kpimmessagelist_major 6
%define libkpimmessagelist %mklibname kpim6messagelist %{kpimmessagelist_major}

%package -n %libkpimmessagelist
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmessagelist
Libs for messages.

%files -n %libkpimmessagelist
%_kf6_libdir/libKPim6MessageList.so.%{kpimmessagelist_major}{,.*}

#--------------------------------------------------------------------

%define kpimmessageviewer_major 6
%define libkpimmessageviewer %mklibname kpim6messageviewer %{kpimmessageviewer_major}

%package -n %libkpimmessageviewer
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmessageviewer
Libs for messages.

%files -n %libkpimmessageviewer
%_kf6_libdir/libKPim6MessageViewer.so.%{kpimmessageviewer_major}{,.*}

#--------------------------------------------------------------------

%define kpimtemplateparser_major 6
%define libkpimtemplateparser %mklibname kpim6templateparser %{kpimtemplateparser_major}

%package -n %libkpimtemplateparser
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimtemplateparser
Libs for messages.

%files -n %libkpimtemplateparser
%_kf6_libdir/libKPim6TemplateParser.so.%{kpimtemplateparser_major}{,.*}

#--------------------------------------------------------------------

%define kpimmimetreeparser_major 6
%define libkpimmimetreeparser %mklibname kpim6mimetreeparser %{kpimmimetreeparser_major}

%package -n %libkpimmimetreeparser
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmimetreeparser
Libs for messages.

%files -n %libkpimmimetreeparser
%_kf6_libdir/libKPim6MimeTreeParser.so.%{kpimmimetreeparser_major}{,.*}

#--------------------------------------------------------------------

%define kpimwebengineviewer_major 6
%define libkpimwebengineviewer %mklibname kpim6webengineviewer %{kpimwebengineviewer_major}

%package -n %libkpimwebengineviewer
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimwebengineviewer
Libs for messages.

%files -n %libkpimwebengineviewer
%_kf6_libdir/libKPim6WebEngineViewer.so.%{kpimwebengineviewer_major}{,.*}

#--------------------------------------------------------------------

%define messagelib_devel %mklibname kpim6messagelib -d

%package -n %messagelib_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimmessagecomposer = %epoch:%version-%release
Requires:       %libkpimmessagecore = %epoch:%version-%release
Requires:       %libkpimmessagelist = %epoch:%version-%release
Requires:       %libkpimmessageviewer = %epoch:%version-%release
Requires:       %libkpimtemplateparser = %epoch:%version-%release
Requires:       %libkpimmimetreeparser = %epoch:%version-%release
Requires:       %libkpimwebengineviewer = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %messagelib_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %messagelib_devel
%_includedir/KPim6/MessageViewer/
%_includedir/KPim6/MessageComposer/
%_includedir/KPim6/MessageCore/
%_includedir/KPim6/MessageList/
%_includedir/KPim6/MimeTreeParser/
%_includedir/KPim6/TemplateParser/
%_includedir/KPim6/WebEngineViewer/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6MessageViewer/
%_kf6_libdir/cmake/KPim6TemplateParser/
%_kf6_libdir/cmake/KPim6MessageComposer/
%_kf6_libdir/cmake/KPim6MessageCore/
%_kf6_libdir/cmake/KPim6MessageList/
%_kf6_libdir/cmake/KPim6MimeTreeParser/
%_kf6_libdir/cmake/KPim6WebEngineViewer/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 2:24.12.2-1.mga10
+ Revision: 2147273
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 2:24.12.1-1.mga10
+ Revision: 2136670
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 2:24.12.0-1.mga10
+ Revision: 2123915
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 2:24.11.80-1.mga10
+ Revision: 2116467
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 2:24.08.3-1.mga10
+ Revision: 2114162
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 2:24.08.2-1.mga10
+ Revision: 2105660
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 2:24.08.1-1.mga10
+ Revision: 2097526
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2087718
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2085214
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2073334
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2069983
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058728
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2046553
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037764
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2033886
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2025263
- New version 24.01.85

* Sat Nov 18 2023 daviddavid <daviddavid> 2:24.01.75-1.mga10
+ Revision: 2007714
- New version 24.01.75
- switch to Qt6/KF6

* Fri Sep 29 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1992230
- New version 23.08.1

* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959356
- New version 23.04.1

* Tue Mar 21 2023 daviddavid <daviddavid> 2:22.12.3-2.mga9
+ Revision: 1949928
- drop no more needed by the project KF5WebKit build dependency

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946594
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941887
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1923009
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911503
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905354
- New version 22.08.3

* Fri Sep 16 2022 neoclust <neoclust> 2:22.08.1-2.mga9
+ Revision: 1889190
- Rebuild with new openldap
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883168
- New version 22.08.0

* Tue Aug 02 2022 neoclust <neoclust> 2:22.04.3-3.mga9
+ Revision: 1874352
- Add an other patch to help building with latest cmake

* Tue Aug 02 2022 neoclust <neoclust> 2:22.04.3-2.mga9
+ Revision: 1874335
- Add patch to help to build with latest cmake

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873171
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1854061
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852324
- New version 22.03.90

* Tue Apr 05 2022 wally <wally> 2:21.12.0-2.mga9
+ Revision: 1845089
- add upstream patch to fix build with GCC 12 (standard attributes in middle of decl-specifiers)
- rebuild for gpgme 1.17.1

* Fri Dec 31 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1765646
- New version 21.12.0
- New version 21.11.90

* Sun May 16 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1725022
- New version 21.04.1

* Fri Apr 30 2021 daviddavid <daviddavid> 2:21.04.0-2.mga9
+ Revision: 1720535
- add upstream patch to fix CVE-2021-31855

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718445
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698652
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694179
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1657152
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644084
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633903
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627143
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1616978
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604208
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596945
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584594
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1569560
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559412
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540911
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513387
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Tue Dec 17 2019 daviddavid <daviddavid> 2:19.12.0-2.mga8
+ Revision: 1468532
- enable Qca-qt5 support, Needed for dkim support

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467045
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457987
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447672
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425078
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390533
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387751
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-3.mga7
+ Revision: 1383377
- Qt5 Rebuild

* Fri Mar 15 2019 daviddavid <daviddavid> 2:18.12.3-2.mga7
+ Revision: 1377249
- rebuild for arm

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375757
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365656
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356593
- New version 18.12.1

* Fri Dec 21 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1343934
- New version 18.12.0

* Thu Nov 29 2018 daviddavid <daviddavid> 2:18.08.3-2.mga7
+ Revision: 1336618
- add upstream patch to fix CVE-2018-19516 (mga#23923)

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332828
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327481
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1299524
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229143
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201977
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194999
- New version 17.12.1

* Fri Jan 05 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1190553
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143133
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139090
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131335
- New version 17.04.3

* Sat Jun 24 2017 luigiwalser <luigiwalser> 2:16.12.3-2.mga6
+ Revision: 1108347
- add upstream patch to fix CVE-2017-9604

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090162
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076904
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075350
- Fix conflicts to ease upgrade

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073946
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067415
- New version 16.08.3

* Thu Oct 20 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1062685
- New version 16.08.2

* Thu Sep 22 2016 neoclust <neoclust> 2:16.08.1-5.mga6
+ Revision: 1055254
- Obsolete libtemplateparser

* Wed Sep 21 2016 neoclust <neoclust> 2:16.08.1-4.mga6
+ Revision: 1054875
- Exclude armv5 as qtwebengine is not available for this arch

* Sun Sep 18 2016 neoclust <neoclust> 2:16.08.1-3.mga6
+ Revision: 1053744
- Rebuild for ARM

* Thu Sep 15 2016 daviddavid <daviddavid> 2:16.08.1-2.mga6
+ Revision: 1053131
- backport some upstream fixes, including crasher fix for kde#364994 (mga#19353)

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050741
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 2:16.08.0-2.mga6
+ Revision: 1048089
- Rebuild against fixed stack
- Add conflict against older kdepim-addons

* Tue Aug 23 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048068
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040144
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012634
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004422
- New version 16.04.0

* Mon Apr 18 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 1003371
- Add conflict to ease upgrade

* Sat Apr 02 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997564
- imported package messagelib

